<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

namespace SlackModule\Controller;

use Cake\ORM\TableRegistry;
use SlackModule\Model\Table\SlackSettingsTable;

class SlackSettingsController extends AppController {

    public function index() {
        if (!$this->isAngularJsRequest()) {
            //Only ship html template
            return;
        }

        /** @var SlackSettingsTable $SlackSettingsTable */
        $SlackSettingsTable = TableRegistry::getTableLocator()->get('SlackModule.SlackSettings');

        $defaultId = 1;
        $settingsEntity = $SlackSettingsTable->getSlackSettings();

        if ($this->request->is('post') || $this->request->is('put')) {
            $data = $this->request->getData('SlackSettings');
            $data['id'] = $defaultId;
            $data['modified'] = date("Y-m-d H:i:s");
            $settingsEntity = $SlackSettingsTable->patchEntity($settingsEntity, $data);
            $SlackSettingsTable->save($settingsEntity);
            if (!$settingsEntity->hasErrors()) {
                $this->set('settings', $settingsEntity->toArray());
                $this->viewBuilder()->setOption('serialize', ['settings']);
                return;
            }
            $this->serializeCake4ErrorMessage($settingsEntity);
            return;
        }

        $this->set('settings', $settingsEntity);
        $this->viewBuilder()->setOption('serialize', ['settings']);
    }
}
