<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.

declare(strict_types=1);

namespace SlackModule\Model\Entity;

use Cake\I18n\FrozenTime;
use Cake\ORM\Entity;

/**
 * SlackSetting Entity
 *
 * @property int $id
 * @property string|null $api_url
 * @property string|null $oauth_access_token
 * @property bool $two_way
 * @property bool $use_proxy
 * @property FrozenTime $created
 * @property FrozenTime $modified
 */
class SlackSetting extends Entity {
    /**
     * Fields that can be mass assigned using newEntity() or patchEntity().
     *
     * Note that when '*' is set to true, this allows all unspecified fields to
     * be mass assigned. For security purposes, it is advised to set '*' to false
     * (or remove it), and explicitly make individual fields accessible as needed.
     *
     * @var array
     */
    protected $_accessible = [
        'api_url'            => true,
        'oauth_access_token' => true,
        'two_way'            => true,
        'use_proxy'          => true,
        'created'            => true,
        'modified'           => true,
    ];
}
