<?php
// Copyright (C) <2015-present>  <it-novum GmbH>
//
// This file is licensed under the terms of the openITCOCKPIT Enterprise Edition license agreement.
// The license agreement and license key were sent with the order confirmation.
?>

<ol class="breadcrumb page-breadcrumb">
    <li class="breadcrumb-item">
        <a ui-sref="DashboardsIndex">
            <i class="fa fa-home"></i> <?php echo __('Home'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fas fa-puzzle-piece"></i> <?php echo __('Slack Module'); ?>
    </li>
    <li class="breadcrumb-item">
        <a ui-sref="SlackSettingsIndex">
            <i class="fab fa-slack"></i> <?php echo __('Slack Settings'); ?>
        </a>
    </li>
    <li class="breadcrumb-item">
        <i class="fa fa-edit"></i> <?php echo __('Settings'); ?>
    </li>
</ol>


<div class="row">
    <div class="col-xl-12">
        <div id="panel-1" class="panel">
            <div class="panel-hdr">
                <h2>
                    <?php echo __('Edit Slack Settings'); ?>
                </h2>
            </div>

            <div class="panel-container show">
                <div class="panel-content">

                    <form ng-submit="submit();" class="form-horizontal">

                        <div class="form-group required" ng-class="{'has-error': errors.api_url}">
                            <label class="col-xs-2 control-label" for="SlackSettings.api_url">
                                <?php echo __('Webhook URL'); ?>
                            </label>
                            <div class="col-xs-10">
                                <input
                                        class="form-control"
                                        type="text"
                                        id="SlackSettings.api_url"
                                        placeholder="https://hooks.slack.com/services/..."
                                        ng-model="post.SlackSettings.api_url"/>
                                <div ng-repeat="error in errors.api_url">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('Incoming Webhook URL you got from Slack after you enable incoming webhooks.'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group required" ng-class="{'has-error': errors.oauth_access_token}">
                            <label class="col-xs-2 control-label" for="SlackSettings.oauth_access_token">
                                <?php echo __('OAuth Access Token'); ?>
                            </label>
                            <div class="col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       id="SlackSettings.oauth_access_token"
                                       placeholder="xoxp-3200670952..."
                                       ng-model="post.SlackSettings.oauth_access_token">
                                <div ng-repeat="error in errors.oauth_access_token">
                                    <div class="help-block text-danger">{{ error }}</div>
                                </div>
                                <span class="help-block">
                                    <?php echo __('OAuth Access Token for your Slack Workspace (required for two-way integration)'); ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="SlackSettings.two_way"
                                       ng-model-options="{debounce: 500}"
                                       ng-model="post.SlackSettings.two_way">
                                <label class="custom-control-label" for="SlackSettings.two_way">
                                    <?php echo __('Enable Two-Way Integration'); ?>
                                </label>
                                <div class="help-block">
                                    <?php echo __('Via the Two-Way Integration Slack is able, to acknowledge host and service problems.'); ?>
                                    <br>
                                    <?php echo __('For this it is required, that your openITCOCKPIT Server is accessible from the Internet.'); ?>
                                </div>
                            </div>
                        </div>

                        <div class="form-group required">
                            <label class="col-xs-2 control-label">
                                <?php echo __('Request URL'); ?>
                            </label>
                            <div class="col-xs-10">
                                <input class="form-control"
                                       type="text"
                                       readonly="true"
                                       placeholder="xoxp-3200670952..."
                                       value="<?php echo sprintf(
                                           'https://%s/slack_module/acknowledge/submit.json?apikey=%s',
                                           $_SERVER['SERVER_ADDR'],
                                           __('YOUR_API_KEY_HERE')
                                       ); ?>">
                                <span class="help-block">
                                    <?php $help = __('Webhook URL for Slack. You need to create an openITCOCKPIT user defined API key first.');
                                    $help .= '<a href="javascript:void(0);" data-toggle="modal" data-target="#ApiKeyOverviewModal">
                                            ' . __('Click here for help') . '</a>';
                                    $help .= '<br>' . __('If you want to use the two-way integration, your openITCOCKPIT server requires a valid SSL certificate, as described in the ') . '<a href="https://api.slack.com/faq#slash_commands" target="_blank">' . __('Slack FAQ') . '</a>';
                                    echo $help;
                                    ?>
                                </span>
                            </div>
                        </div>

                        <div class="form-group">
                            <div class="custom-control custom-checkbox">
                                <input type="checkbox" class="custom-control-input" id="SlackSettings.use_proxy"
                                       ng-model-options="{debounce: 500}"
                                       ng-model="post.SlackSettings.use_proxy">
                                <label class="custom-control-label" for="SlackSettings.use_proxy">
                                    <?php echo __('Use Proxy Server'); ?>
                                </label>
                                <div class="help-block">
                                    <?php
                                    if ($this->Acl->hasPermission('index', 'proxy', '')):
                                        echo __('Determine if the <a href="/#!/proxy/index">configured proxy</a> should be used.');
                                    else:
                                        echo __('Determine if the configured proxy should be used.');
                                    endif;
                                    ?>
                                </div>
                            </div>
                        </div>

                        <div class="card margin-top-10">
                            <div class="card-body">
                                <div class="float-right">
                                    <button type="submit" class="btn btn-primary waves-effect waves-themed">
                                        <?php echo __('Save'); ?>
                                    </button>
                                </div>
                            </div>
                        </div>

                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<?php echo $this->element('apikey_help'); ?>

